Page MenuHomePhabricator

Initial code coverage mapping data, reader, writer + C interface for ProfileData
ClosedPublic

Authored by arphaman on Jun 25 2014, 4:19 PM.

Details

Summary

A patch which implements the data structures, the reader, and the writers for the new code coverage mapping system.
Based on the earlier proposal: http://comments.gmane.org/gmane.comp.compilers.clang.devel/37289

Diff Detail

Event Timeline

arphaman updated this revision to Diff 10861.Jun 25 2014, 4:19 PM
arphaman retitled this revision from to Code coverage mapping data patch.
arphaman updated this object.
arphaman edited the test plan for this revision. (Show Details)
arphaman added reviewers: bob.wilson, dexonsmith, bogner.
arphaman retitled this revision from Code coverage mapping data patch to Initial code coverage mapping data, reader, writer + C interface for ProfileData.Jun 25 2014, 4:28 PM
arphaman updated this object.
arphaman updated this object.
arphaman set the repository for this revision to rL LLVM.Jun 25 2014, 5:05 PM
arphaman added a subscriber: Unknown Object (MLST).Jun 26 2014, 9:46 AM
arphaman updated this revision to Diff 11233.Jul 9 2014, 4:39 PM

The updated version of the patch that fixes various typos, adds format version to the coverage mapping format, changes the storage of filenames to once per tu, and adds document that describes the actual coverage mapping format.

bob.wilson edited edge metadata.Jul 16 2014, 10:38 PM

The documentation is going to need more work. Let’s split that out into a separate patch. At least it helps me understand how the reader and writer work.

arphaman updated this revision to Diff 11648.Jul 18 2014, 10:24 AM
arphaman edited edge metadata.

Thanks again for the review, I've implemented the suggested changes. I also merged the coverage mapping data into one section - this reduced the object file size for the test programs by 4.5% on average.

arphaman updated this revision to Diff 11712.Jul 21 2014, 10:51 AM

Updated patch with the 'coverage' namespace, name case fixes and shared encoding constant.

Looks good. Please commit!

Committed in r213909 and r213910 (forgot to add the new files in the first
one).

2014-07-24 16:17 GMT-07:00 Bob Wilson <bob.wilson@apple.com>:

Looks good. Please commit!

http://reviews.llvm.org/D4301

arphaman accepted this revision.Jul 25 2014, 3:32 PM
arphaman added a reviewer: arphaman.
This revision is now accepted and ready to land.Jul 25 2014, 3:32 PM
arphaman closed this revision.Jul 25 2014, 3:33 PM